%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%		Definitions des instruments			%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    macros pour la main droite    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

rthmd = \notes {
    <mi8-. sol-.> <mi-. sol-.>
    <do mi> r <re fa> <re fa>
    <si re> r do16 ( re mi do
    la si do dod re mi fa ) re
    do? ( si la ) sol
    <mi'8 sol> <mi sol>
    <do mi> r <fa la> <fa la>
    <si, re> r la'16 ( sol fa ) mi
    dod ( re mi ) fa la, ( do si ) re
    do8 r
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    macros pour la main gauche    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

rthmg = \notes {
    % on ne commence qu'un temps aprs la main gauche (silences diffrents suivants les prsentations)
    <la8 do> <la do> <fa la> r
    <sol si> <sol si> <mi sol> r
    fa4. re8
    sol r r4
    <la8 do> <la do> <re, fa> r
    <sol si> <sol si> <do, mi> r8
    <fa4. la (> <sol8 ) fa'>
    <\context Voice=up {\stemUp mi'8 s} \context Voice=down {\stemDown do do,}>
    \stemBoth
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    code de la main droite    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

md = \notes \relative do'' {
    \clef "treble"
    \time 2/4
    \key do \major
    \partial 4
    \rthmd
    % mesure 8
    \bar ":|"
    mi16 ( fad ) sol sol-.
    la ( sol fad ) mi re-. re-. re-. re-.
    mi ( re do ) si mi' ( re do ) si
    % mesure 11
    sold ( la si ) do mi, ( fad sol ) la
    sol ( fad mi ) re <si'8 re> <si re>
    <sol si> r <la do> <la do>
    <fad la> r sol16 ( la si ) sol
    % mesure 15
    red ( mi sol mi re si do ) la
    sol8 r sol16 ( la si do )
    re8 r si16 ( do re mi )
    fa?8 r re16 ( mi fa sol )
    la8 lab-. sol-. fad-.
    fa! r \rthmd r4
    % mesure 29
    mi16 ( red fa ) mi r4
    mi16 ( red fa ) mi <mi8 do'> <mi8 do'>
    <do la'> r <re? si'> <re si'>
    <si sold'> r la'16 ( mi do ) la
    do () sib sib sib re () dod dod dod
    % mesure 34
    mi () re fa () mi sol () fa fa () mi
    mi () red do'4 () red,8
    mi r si'16 ( sold mi ) re?
    do ( mi la sold la mi do ) la
    sold ( si mi ) sold si ( sold mi ) re
    % mesure 39
    do ( mi la sold la mi do ) la
    mi8 r <do' mi> <do mi>
    <la do> r <si re> <si re>
    <sold si> r r4
    mi16 ( red fa ) mi r4
    % mesure 44
    mi''16 ( red fa mi re dod mi ) re
    re () do? do () si si () la la () sol
    sol () fa fa () mi mi () re re () do
    sib ( fa' re ) sib la8 sold
    la r sold16 ( re' si ) sold
    % mesure 49
    la8 r sold16 ( re' si ) sold
    la8 r sold16 ( re' si ) sold
    la ( mi' do ) la si ( fa' re ) si
    r4-\fermata \rthmd si16 ( fa' re ) si
    la' ( sol fa ) mi re ( fa re ) si
    la' ( sol fa ) mi re' ( do si ) la
    la () sol fa-. mi-. mi () re do-. si-.
    % mesure 64
    re8 () do si16 ( fa' re ) si
    la' ( sol fa ) mi re ( fa re ) si
    la' ( sol fa ) mi re' ( do si ) la
    la () sol fa-. mi-. mi () re do-. si-.
    do mi sol, do mi, sol do, mi
    sol do <do mi> <mi sol> <mi sol(> <re ) fa> <do mi-.> <si re-.>
    do mi sol, do mi, sol do, mi
    sol do <do mi> <mi sol> <mi sol(> <re ) fa> <do mi-.> <si re-.>
    do8 <mi sol do> <mi, do'> <mi do'>
    <mi4 do'> r
    \bar "|."
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%    code de la main gauche    %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

mg = \notes \relative do' {
    \clef "bass"
    \time 2/4
    \key do \major
    \partial 4
    r4 \rthmg
    \bar ":|"
    \clef "treble"
    % mesure 8
    do16 sol' mi sol
    si, sol' re sol \clef "bass" fad, re' la re
    sol, re' si re si, sol' re sol
    do, la' mi la dod, la' mi la
    re,8 r r4
    % mesure 13
    \clef "treble"
    <mi'8 sol> <mi sol> <do mi> r
    <re fad> <re fad> <si re> r \clef "bass"
    <\context Voice=up {\stemUp sol4. fad8} \context Voice=down {\stemDown do4 re}>
    \stemBoth
    sol8 sol, r4
    <sol'8 si> sol, r4
    <sol'8 si> sol, r4
    R2*2
    \relative do' {
	\rthmg
    } <do8 mi> <do mi>
    % mesure 29
    <la do> r <si re> <si re>
    <sold si> r r4
    mi'16 ( red fa ) mi r4
    mi16 ( red fa ) mi \clef "treble" <do4 mi>
    <re fa> <mi sol>
    <\context Voice=up {\stemUp la2} \context Voice=down {\stemDown fa8 dod re mi}>
    \stemBoth
    <fa la> r <fa la> r
    \clef "bass"
    % mesure 36
    mi,16 mi' sold, mi' si mi sold, mi'
    mi, mi' la, mi' do mi la, mi'
    mi,16 mi' sold, mi' si mi sold, mi'
    mi, mi' la, mi' do mi la, mi'
    mi,8 r r4
    % mesure 41
    mi'16 ( red fa ) mi r4
    mi16 ( red fa ) mi <mi,8 do'> <mi do'>
    <do la'> r <re si'> <re si'>
    <si sold'> r <sold'4 si>
    % mesure 45
    <la8 do> <si re> \clef "treble" 
    <\context Voice=up {\stemUp mi4 la2 fa4} \context Voice=down {\stemDown do8 dod re mi fa mi re4}>
    \clef "bass"
    <\context Voice=up {\stemUp do8 si} \context Voice=down {\stemDown mi,4}>
    \stemBoth
    % mesure 48
    la16 ( do mi do mi, si' re ) si
    la16 ( do mi do mi, si' re ) si
    la16 ( do mi do mi, si' re ) si
    la16 ( do mi do sol? re' fa ) re
    r4-\fermata r
    \rthmg fa,16 si sol si
    mi, do' sol do fa, si sol si
    mi, do' sol do fa, re' la re
    sol, mi' do mi sol, fa' re fa
    \clef "treble" do sol' mi sol
    \clef "bass" fa,16 si sol si
    mi, do' sol do fa, si sol si
    mi, do' sol do fa, re' la re
    sol, mi' do mi sol, fa' re fa
    do mi sol, do mi, sol do, mi
    sol8 r sol, r
    do'16 mi sol, do mi, sol do, mi
    sol8 r sol, r
    <do, do'> <mi mi'> <sol sol'> <mi mi'>
    <do4 do'> r
    \bar "|."
}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%			Le code !				%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Debut de la partition  proprement parler
\score {
  \context PianoStaff <
  \context Staff = md {
      \md
  }
  \context Staff = mg {
      \mg
  }
> % PianoStaff

    \header { piece = "rondo" }
    \paper { linewidth = 18.0 \cm }
    \midi { \tempo 4 = 108 }
} % score
% EOF
